Page MenuHomeFreeBSD

ipsec: If no PMTU in hostcache assume it's equal to link's MTU
ClosedPublic

Authored by bag_semihalf.com on Sep 1 2021, 11:43 AM.
Tags
None
Referenced Files
F81709493: D31770.diff
Sat, Apr 20, 7:26 AM
Unknown Object (File)
Sun, Apr 7, 4:48 PM
Unknown Object (File)
Thu, Mar 28, 4:24 PM
Unknown Object (File)
Mar 7 2024, 6:22 PM
Unknown Object (File)
Feb 15 2024, 2:37 AM
Unknown Object (File)
Feb 15 2024, 2:37 AM
Unknown Object (File)
Feb 15 2024, 2:37 AM
Unknown Object (File)
Feb 15 2024, 2:25 AM

Details

Summary

If we fail to find to PMTU in hostcache, we assume it's equal
to link's MTU.

This patch prevents packets larger then link's MTU to be dropped
silently if there is no PMTU in hostcache.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

sys/netipsec/ipsec_output.c
357

Why can't we reuse the previous case?

sys/netipsec/ipsec_output.c
357

In my option this way is clearer what the code does. And I don’t think we should call tcp_maxmtu when we don’t need it, because it searches through the routing table.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 24 2021, 8:30 AM
This revision was automatically updated to reflect the committed changes.